<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <script src="js/angularjs/angular.min.js"></script>
    <script src="js/jquery-3.3.1.min.js"></script>

    <link rel = "stylesheet" type = "text/css"  href = "css/table.css" />
</head>
<body>


<div class="header">Lots from status</div>

<div ng-app="app" ng-controller="appCtrl" class="table-users">


    <div style="margin:10px 0px 10px 0px">

        <select ng-model="currentStatus" style="padding: 5px;">
            <option value="LOTTO_ELIMINATO" selected>LOTTO_ELIMINATO</option>
            <option value="LOTTO_IN_ELABORAZIONE">LOTTO_IN_ELABORAZIONE</option>
        </select>

        <button ng-click="clickCercaLottiButton()" class="searchLotsButton">Cerca lotti</button>

    </div>

    <table>
        <tr>
            <th>LotID</th>
            <th>Current status</th>
            <th>closed</th>
            <th>xxxx</th>
            <th>yyyy</th>
        </tr>

        <tr ng-repeat="user in users">
            <td>{{ user.lotId }}</td>
            <td>{{ user.currentStatus }}</td>
            <td>{{ user.closed }}</td>
            <td></td>
            <td></td>
        </tr>
    </table>

</div><!--/End app appCtrl -->

<script>

    function getLotsByStatus($scope, $http) {

        $scope.clickCercaLottiButton = function(){
            alert("Cliccato! " + $scope.currentStatus);

            $(".searchLotsButton").html('TEST');

            $http({
                method : "GET",
                url : "http://localhost:8089/getLotsByStatus/" + $scope.currentStatus
            }).then(function(response) {
                console.log(response.data);
                $scope.users = response.data;
            });
        }

    }


    var consoleApp = angular.module('app', []);

        consoleApp.controller('appCtrl', getLotsByStatus);




</script>

</body>
</html>